Contents
Index 🔎︎

# ThisComponent Object

Addresses the active component whose properties can be read and set, and whose methods can be called. ThisComponent is used in Basic, where it represents the current document. Properties and methods available through ThisComponent depend on the document type.

### Syntax:

ThisComponent

### Example:

    Sub Main
    REM cập nhật Mục Lục trong một tài liệu văn bản
    Dim allindexes, index As Object
        allindexes = ThisComponent.getDocumentIndexes()
        index = allindexes.getByName("Mục Lục 1")
        REM dùng tên mặc định cho Mục Lục và phụ thêm số 1
        index.update()
    End Sub